.product-item {
  margin-top: 40px;
  // .product-item__container
  &__container {
  }
  // .product-item__row
  &__row {
    display: flex;
  }
  // .product-item__slider
  &__slider {
    width: 47%;
  }
  // .product-item__content
  &__content {
    padding-top: 28px;
    padding-left: 58px;
    width: 53%;
    position: relative;
  }
  // .product-item__like
  &__like {
    position: absolute;
    right: 40px;
    top: 12px;
    img {
      width: 24px;
      height: 24px;
    }
  }
  // .product-item__name
  &__name {
    font-family: 'Poppins Medium';
    color: #1b2437;
    font-size: 25px;
    line-height: 35px;
    letter-spacing: 2px;
    max-width: 250px;
    margin-bottom: 4px;
  }
  // .product-item__box
  &__box {
    margin-bottom: 26px;
    display: flex;
    align-items: center;
  }
  // .product-item__model
  &__model {
    color: #1b2437;
    font-size: 14px;
    line-height: 21px;
    margin-right: 45px;
  }
  // .product-item__views
  &__views {
    display: flex;
    align-items: center;
    img {
      padding-right: 7px;
    }
    span {
      color: #1b2437;
      font-size: 14px;
      line-height: 21px;
    }
  }
  // .product-item__price
  &__price {
    margin-right: 20px;
  }
  // .product-item__last-price
  &__last-price {
    display: flex;
    color: #8e8e93;
    font-size: 14px;
    line-height: 21px;
    text-decoration: line-through;
  }
  // .product-item__current-price
  &__current-price {
    display: flex;
    font-size: 20px;
    line-height: 30px;
    color: #1b2437;
    &--sale {
      color: #f03a16;
    }
  }
  // .product-item__countdown
  &__countdown {
  }
  // .product-item__add-product
  &__add-product {
    margin-bottom: 33px;
    button {
      background-color: #69a03a;
      border: 2px solid #69a03a;
      padding: 16px 38px;
      border-radius: 16px;
      text-transform: uppercase;
      color: #fff;
      font-size: 14px;
      line-height: 21px;
    }
  }
  // .product-item__info
  &__info {
  }
  // .product-item__info-title
  &__info-title {
    font-size: 16px;
    line-height: 25px;
    color: #ffa534;
    width: 156px;
    text-align: center;
    padding-bottom: 6px;
    border-bottom: 1px solid #ffa534;
    margin-bottom: 13px;
  }
  // .product-item__info-text
  &__info-text {
    max-width: 500px;
    font-size: 16px;
    line-height: 24px;
    color: #8e8e93;
  }
  @media (max-width: $md2) {
    &__row {
      flex-direction: column;
    }

    &__slider,
    &__content {
      width: 100%;
    }
    &__slider {
      margin-bottom: 30px;
    }
    &__content {
      padding: 0;
      margin-bottom: 30px;
    }
    &__name {
      max-width: 100%;
      margin-right: 80px;
    }
    &__info-text {
      max-width: 100%;
    }
  }
  @media (max-width: $md3) {
    &__row {
    }

    &__name {
      font-size: 20px;
      line-height: 30px;
      letter-spacing: 2px;
    }
    &__add-product {
      button {
        padding: 10px 30px;
        border-radius: 12px;
        font-size: 14px;
        line-height: 21px;
      }
    }
    &__info-text {
      font-size: 14px;
      line-height: 20px;
      color: #8e8e93;
    }
  }
}

.product-slider {
  display: flex;
  position: relative;
  justify-content: space-between;
  // .product-slider__sale
  &__sale {
    position: absolute;
    font-size: 12px;
    line-height: 16px;
    color: #fff;
    padding: 4px 16px;
    background-color: #f03a16;
    border-radius: 13px;
    top: 14px;
    left: 117px;
    z-index: 1;
  }
  // .product-slider__vertical
  &__vertical {
    width: 88px;
    min-width: 88px;
    .swiper-wrapper {
    }
    .swiper-slide {
    }
    .swiper-container {
    }
  }
  // .product-slider__vertical-wrapper
  &__vertical-wrapper {
  }
  // .product-slider__vertical-slide
  &__vertical-slide {
    width: 72px;
    height: 72px;
    border: 1px solid #e5e5ea;
    border-radius: 8px;
    margin-bottom: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin: 0 auto;
    margin-bottom: 24px;
    transition: 0.2s;
    cursor: pointer;
    img {
      max-width: 100%;
      max-height: 100%;
    }
    &.swiper-slide-thumb-active {
      width: 88px;
      height: 88px;
    }
  }

  // .product-slider__horizontal
  &__horizontal {
    width: calc(100% - 88px - 19px);
    height: 438px;
    margin-left: 19px;
    overflow: hidden;
    position: relative;
    .swiper-wrapper {
      height: 100%;
    }
    .swiper-slide {
      width: 100%;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      img {
        max-height: 100%;
        max-width: 100%;
      }
    }
    .swiper-container {
    }
    .swiper-button-prev,
    .swiper-button-next {
      position: absolute;
      z-index: 1;
      top: calc(50% - 12px);
      width: 24px;
      height: 24px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      &.swiper-button-disabled {
        display: none;
      }
    }
    .swiper-button-prev {
      left: 0;
      transform: rotate(90deg);
    }
    .swiper-button-next {
      right: 0;
      transform: rotate(-90deg);
    }
  }
  // .product-slider__horizontal-wrapper
  &__horizontal-wrapper {
    display: flex;
    width: fit-content;
  }
  // .product-slider__horizontal-slide
  &__horizontal-slide {
  }
}

.countdown {
  display: flex;
  padding: 0 4px;
  background-color: #f03a16;
  border-radius: 16px;
  // .countdown__index
  &__index {
    padding: 10px 8px;
    font-family: 'Poppins Medium';
    font-size: 14px;
    line-height: 20px;
    color: #fff;
    position: relative;
    &::before {
      content: '';
      width: 1px;
      height: calc(100% - 12px);
      position: absolute;
      top: 50%;
      right: 0;
      transform: translateY(-50%);
      background-color: #fff;
    }
    &:last-child {
      &::before {
        content: none;
      }
    }
  }
}
